Bug 4 - using alsa backend results in segmentation fault
: using alsa backend results in segmentation fault
Status: RESOLVED FIXED
Product: terminatorX
Classification: Unclassified
Component: software
: 3.80
: Other Linux
: P2 normal
Assigned To: Alexander Koenig
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2003-08-06 17:50 CEST by Sebastian Fleer
Modified: 2005-12-12 17:19 CET (History)
0 users

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Sebastian Fleer 2003-08-06 17:50:37 CEST
When I try to use the alsa backend tX crashes with a segmentation fault: 
 
+ tX_warning: ALSA: The PCM device "hw:0,0" doesnt support 44100 Hz playback - 
using 44100 instead 
 
Program received signal SIGSEGV, Segmentation fault. 
[Switching to Thread 16384 (LWP 1361)] 
0x43417910 in _int_free () from /lib/libc.so.6 
(gdb) bt 
#0  0x43417910 in _int_free () from /lib/libc.so.6 
#1  0x4341676c in free () from /lib/libc.so.6 
#2  0x43273b4e in snd_pcm_hw_params_free () from /usr/lib/libasound.so.2 
 
I have a SBlive, alsa-lib and alsa-driver are version 0.9.6 and work correctly. 
Using the OSS backend works fine.
Comment 1 Alexander Koenig 2003-08-07 19:09:16 CEST
This is a rather strange bug, seems to be an ALSA issue however. On some ALSA installations  snd_hw_params_free() succeeds as it should on other systems it just dumps core. As a workaround I have new configuration option  in CVS that allows the user to disable the free() call. Probably causes a tiny memory leak but better the segfaulting however.

I'll keep the bug open hoping to find a _real_ fix sometime.
Comment 2 Alexander Koenig 2005-12-12 17:19:27 CET
No more reports of this issue. Seems fixed.